# Visualization
TKService
AlienImage

# AlienImage_SunRFAlienData Class Reference

This class defines a SUN Raster File .rs Alien image.
.

`#include <AlienImage_SunRFAlienData.hxx>`

Inheritance diagram for AlienImage_SunRFAlienData:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_SunRFAlienData ()
Standard_EXPORT void | Clear ()
| Frees memory allocated by SunRFAlienData and reset Object fields. .
| ~AlienImage_SunRFAlienData ()
Standard_EXPORT void | FreeData ()
| Frees memory allocated by SunRFAlienData .
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Read content of a SunRFAlienData object from a file . Returns True if file is a Sun Raster file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Write content of a SunRFAlienData object to a file . .
Standard_EXPORT void | SetFormat (const AlienImage_SUNRFFormat aFormat)
| Set SUN Raster File Format for Write method. .
Standard_EXPORT AlienImage_SUNRFFormat | Format () const
| Get SUN Raster File Format . .
Standard_EXPORT Handle_Image_Image | ToImage () const
| convert a SunRFAlienData object to a Image object.
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| convert a Image object to a SunRFAlienData object.
Standard_EXPORT void | FromPseudoColorImage (const Handle(Image_PseudoColorImage)&anImage)
| convert a Image object to a SunRFAlienData object.
Standard_EXPORT void | FromColorImage (const Handle(Image_ColorImage)&anImage)
| convert a Image object to a SunRFAlienData object.
Standard_EXPORT Standard_Boolean | ReadPixelRow (OSD_File &afile, const Standard_Address aAddress, const Standard_Integer TheRowSize)
| Read a Image row from a file and store TheRowSize byte at aAddress returns True if Success. .
Standard_EXPORT Standard_Boolean | WritePixelRow (OSD_File &afile, const Standard_Address aAddress, const Standard_Integer TheRowSize) const
| Write a Image row to a file from TheRowSize byte at aAddress returns True if Success. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

AlienImage_SUNRFFileHeader | myHeader
Standard_Address | myData
Standard_Address | myRedData
Standard_Address | myGreenData
Standard_Address | myBlueData

## Private Member Functions

Standard_EXPORT Handle_Image_PseudoColorImage | ToPseudoColorImage () const
| convert a AlienImage object to a Image object.
Standard_EXPORT Handle_Image_ColorImage | ToColorImage () const
| convert a AlienImage object to a Image object.

## Private Attributes

Standard_Integer | myDataSize

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_SunRFAlienData::AlienImage_SunRFAlienData | ( |  | ) |

AlienImage_SunRFAlienData::~AlienImage_SunRFAlienData | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void AlienImage_SunRFAlienData::Clear | ( |  | ) |

Standard_EXPORT AlienImage_SUNRFFormat AlienImage_SunRFAlienData::Format | ( |  | ) | const

Standard_EXPORT void AlienImage_SunRFAlienData::FreeData | ( |  | ) |

Standard_EXPORT void AlienImage_SunRFAlienData::FromColorImage | ( | const Handle(Image_ColorImage)& | anImage | ) |

Standard_EXPORT void AlienImage_SunRFAlienData::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT void AlienImage_SunRFAlienData::FromPseudoColorImage | ( | const Handle(Image_PseudoColorImage)& | anImage | ) |

Standard_EXPORT const AlienImage_SunRFAlienData::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienImageData.

Standard_EXPORT Standard_Boolean AlienImage_SunRFAlienData::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT Standard_Boolean AlienImage_SunRFAlienData::ReadPixelRow | ( | OSD_File & | afile,
|  | const Standard_Address | aAddress,
|  | const Standard_Integer | TheRowSize
| ) |

Standard_EXPORT void AlienImage_SunRFAlienData::SetFormat | ( | const AlienImage_SUNRFFormat | aFormat | ) |

Standard_EXPORT Handle_Image_ColorImage AlienImage_SunRFAlienData::ToColorImage | ( |  | ) | const`[private]`

Standard_EXPORT Handle_Image_Image AlienImage_SunRFAlienData::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT Handle_Image_PseudoColorImage AlienImage_SunRFAlienData::ToPseudoColorImage | ( |  | ) | const`[private]`

Standard_EXPORT Standard_Boolean AlienImage_SunRFAlienData::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT Standard_Boolean AlienImage_SunRFAlienData::WritePixelRow | ( | OSD_File & | afile,
|  | const Standard_Address | aAddress,
|  | const Standard_Integer | TheRowSize
| ) | const

## Field Documentation

Standard_Address AlienImage_SunRFAlienData::myBlueData `[protected]`

Standard_Address AlienImage_SunRFAlienData::myData `[protected]`

Standard_Integer AlienImage_SunRFAlienData::myDataSize `[private]`

Standard_Address AlienImage_SunRFAlienData::myGreenData `[protected]`

AlienImage_SUNRFFileHeader AlienImage_SunRFAlienData::myHeader `[protected]`

Standard_Address AlienImage_SunRFAlienData::myRedData `[protected]`

The documentation for this class was generated from the following file:

- AlienImage_SunRFAlienData.hxx